<fieldset ngModelGroup="choice">
    <legend>Auswahl</legend>
    <label for="choice">Gewünschte Pizza:</label>
    <input list="pizza-flavors" id="choice" name="choice" [(ngModel)]="value.choice" required>

    <fieldset>
        <legend> Größe </legend>
        <div><label> <input type="radio" value="small"  name="size" [(ngModel)]="value.size"> Klein </label></div>
        <div><label> <input type="radio" value="medium" name="size" [(ngModel)]="value.size"> Mittel </label></div>
        <div><label> <input type="radio" value="large"  name="size" [(ngModel)]="value.size"> Groß </label></div>
    </fieldset>

    <fieldset class="block">
        <legend> Extras </legend>
        <div *ngFor="let extra of EXTRAS">
            <label> <input type="checkbox" [value]="extra" name="extra" [checked]="hasExtra(extra)" (change)="onChange($event)"> {{extra}}</label>
        </div>
    </fieldset>

    <datalist id="pizza-flavors">
      <option value="Margherita">
      <option value="Funghi">
      <option value="Salami">
      <option value="Prosciutto">
      <option value="Tonno">
    </datalist>
</fieldset>